<?php
/** @noinspection PhpIllegalPsrClassPathInspection */

use jrosset\Collections\Collection;

require_once __DIR__ . '/../vendor/autoload.php';

class Measure {
    private int    $value;
    private string $unit;

    public function __construct (int $value, string $unit = 's') {
        $this->value = $value;
        $this->unit = $unit;
    }

    public function asString (): string {
        return $this->value . $this->unit;
    }
}

/**
 * @return Collection<int, Measure>
 */
function getMeasures (): Collection {
    $measures = new Collection();
    $measures->add(new Measure(27), new Measure(34));
    $measures->prepend(new Measure(38));

    return $measures;
}

echo 'Measures :' . PHP_EOL;
foreach (getMeasures() as $no => $measure) {
    echo "\t#" . $no . ' = ' . $measure->asString() . PHP_EOL;
}